Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class TypedCArray

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.StandardTypes
            |
            +--weblogic.wtc.jatmi.TypedCArray

public final class TypedCArray
extends StandardTypes
implements TypedBuffer

This is the jatmi analogue to the CARRAY Tuxedo buffer type

Author:
  BEA Systems, Inc.
See Also:
  `StandardTypes`, `TypedBuffer`, Serialized Form

Field Summary
`byte[]` | `carray` The binary data to send to the remote TUXEDO domain
`int` | `sendSize` The amount of data in #carray to send

Constructor Summary
`TypedCArray()` Default constructor.
`TypedCArray(int length)` Constructor.

Method Summary
`void` | `_tmpostrecv(java.io.DataInputStream decoder, int recv_size)` XDR decodes the given carray.
`void` | `_tmpresend(java.io.DataOutputStream encoder)` This function presends and encodes the given TypedBuffer object.
`int` | `getSendSize()` gets the amount of data to send in #carray
`void` | `setSendSize(int aSendSize)` sets the amount of data to send in #carray

Methods inherited from class weblogic.wtc.jatmi.StandardTypes
`getHintIndex, getSubtype, getType, hint_to_type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### carray

    public byte[] carray

  The binary data to send to the remote TUXEDO domain

### sendSize

    public int sendSize

  The amount of data in #carray to send

Constructor Detail

### TypedCArray

    public TypedCArray()

  Default constructor. carray is NULL, sendSize 0

### TypedCArray

    public TypedCArray(int length)

  Constructor. Creates an empty byte array of the given size

  Parameters:
    `length` - the size of the byte array to generate. #sendSize will be initialized to `length`

Method Detail

### getSendSize

    public int getSendSize()

  gets the amount of data to send in #carray

  Returns:
    The amount of data in #carray that will be sent

### setSendSize

    public void setSendSize(int aSendSize)

  sets the amount of data to send in #carray

  Parameters:
    `aSendSize` - The amount of data in #carray to send

### _tmpresend

    public void _tmpresend(java.io.DataOutputStream encoder)
                    throws TPException,
                           java.io.IOException

  This function presends and encodes the given TypedBuffer object. It is equivalent to the combination of _tmpresend and _tmencdec functions from the buffer(3i) TUXEDO manual page.

  XDR encodes the given carray. XDR encoding of a carray is simply the carray itself. The returned byte array will be exactly #sendSize bytes.

  Specified by:
    _tmpresend in interface TypedBuffer

  Parameters:
    `encoder` - The output stream to encode this type to. Should not be padded.
  Throws:
    TPException -
    - TPEINVAL - If there was some problem with the state of the TypedBuffer.
    - Any other errno is considered a fatal error
    java.io.IOException - If there was an error writing to the DataOutputStream

### _tmpostrecv

    public void _tmpostrecv(java.io.DataInputStream decoder,
                            int recv_size)
                     throws TPException,
                            java.io.IOException

  XDR decodes the given carray. XDR encoding of a carray is simply the carray itself. The amount of data in the carray is determined by the input recv_size parameter.
  Specified by:
    _tmpostrecv in interface TypedBuffer

  Parameters:
    `decoder` - A stream that starts with the encoded data for this buffer type. Only recv_size bytes should be read from the stream (though at the time this function is called all bytes necessary to decode this type should be available)
    `recv_size` - The total size of encoded data from the start position (note that encoded may be larger than the actual recieved size)
  Throws:
    TPException - TPEINVAL if this stream could not be decoded for any reason

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference